#include <ctype.h>
#include "defines.h"
#include "amacro.h"

int kywait2(int fkbclr)
{
int ky;
	if (fkbclr) {
		while (kbhit()) getch(); /* キーボードバッファークリア */
	}
  	ky=getch();
  	ky=toupper(ky); /* マクロtoupper()は引数を２回評価するので注意 */
  	if (ky==BREAK||ky==ESC) return(-2); /* break */
  	if (ky=='N'||ky==' ') {
		prints("N\n");
  		return(-1);
  	}
	if (ky=='Y'||ky==CR) return(0); /* YES */
	return(ky);
}
